Activity log for bug #1635656

Date Who What changed Old value New value Message
2016-10-21 15:28:12 Colin Ian King bug added bug
2016-10-21 15:28:19 Colin Ian King linux (Ubuntu): importance Undecided Medium
2016-10-21 15:28:21 Colin Ian King linux (Ubuntu): status New In Progress
2016-10-21 15:28:23 Colin Ian King linux (Ubuntu): assignee Colin Ian King (colin-king)
2016-10-21 15:28:31 Colin Ian King description [SRU Justification] SPL (spl-linux) is currently now sync'd to Debian and ZFS has been updated to -0ubuntu4, so sync these changes to yakkety as a SRU. Changes to the kernel are minimal, just to spl/module/spl/spl-generic.c, where a redundant (and somewhat alarming) warning message has been removed. Other than that, the changes are just to do with the autotools config scripts. I've build and tested these changes against the kernel-team autotest-client-tests ZFS regression tests and no regressions have been found. [Test case] Run against all the kernel-team autotest-client-tests ZFS regression tests - all should pass [Regression Potential] 1. Minor changes to autotools config scripts - however these have been tested and will only affect the build and not the run time binary 2. No major code change to drivers except for removing a redundant warning message that should not be issued, so only this may break any weird code that is scraping the kernel log for such non-standard messages (which is not expected). [SRU Justification][Yakkety] SPL (spl-linux) is currently now sync'd to Debian and ZFS has been updated to -0ubuntu4, so sync these changes to yakkety as a SRU. Changes to the kernel are minimal, just to spl/module/spl/spl-generic.c, where a redundant (and somewhat alarming) warning message has been removed. Other than that, the changes are just to do with the autotools config scripts. I've build and tested these changes against the kernel-team autotest-client-tests ZFS regression tests and no regressions have been found. [Test case] Run against all the kernel-team autotest-client-tests ZFS regression tests - all should pass [Regression Potential] 1. Minor changes to autotools config scripts - however these have been tested and will only affect the build and not the run time binary 2. No major code change to drivers except for removing a redundant warning message that should not be issued, so only this may break any weird code that is scraping the kernel log for such non-standard messages (which is not expected).
2016-11-03 21:57:03 Tim Gardner nominated for series Ubuntu Yakkety
2016-11-03 21:57:03 Tim Gardner bug task added linux (Ubuntu Yakkety)
2016-11-03 21:57:14 Tim Gardner linux (Ubuntu Yakkety): status New Fix Committed
2016-11-03 21:57:26 Tim Gardner linux (Ubuntu Yakkety): assignee Colin Ian King (colin-king)
2016-11-03 21:59:23 Tim Gardner linux (Ubuntu): status In Progress Fix Released
2016-11-16 10:10:08 Luis Henriques tags verification-needed-yakkety
2016-11-16 15:26:56 Colin Ian King tags verification-needed-yakkety verification-done-yakkety
2016-11-30 02:05:55 Launchpad Janitor linux (Ubuntu Yakkety): status Fix Committed Fix Released
2016-11-30 02:05:55 Launchpad Janitor cve linked 2016-7425